public class InfoLKW {
  private Stack links;
  private Stack rechts;

  public InfoLKW() {
    this.links = new Stack();
    this.rechts = new Stack();
  }

  public void einladen(IPallette palette, boolean links) {
    if (links) {
      this.links.push(palette);
    } else {
      this.rechts.push(palette);
    }
  }

  public void umstellen(int anz, boolean links) {
    for (int i = 0; i< anz; i++) {
      if (links) {
	this.rechts.push(this.links.top());
	this.links.pop();
      } else {
	this.links.push(this.rechts.top());
	this.links.pop();
      }
    }
  }

  public IPalette ausladen(boolean links) {
    IPalette palette;
    if (links) {
      palette = (IPalette) this.links.top();
      this.links.pop();
    } else {
      palette = (IPalette) this.rechts.top();
      this.rechts.pop();
    }
    return palette;
  }
}
