% Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
% ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
% Hamm und Solingen entstanden.
%
% Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
% http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
%
% Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
% sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
% und auf die ursprünglichen Urheber verwiesen wird.
% Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
%
% Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
% Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
%
% Die Sammlung der Dokumente steht unter
% http://ddi.uni-wuppertal.de/material/materialsammlung/
% zur Verfügung.
%
% Das LaTeX-Paket zum Setzen der Dokumente der Sammlung steht
% unter  http://www.ctan.org/pkg/schule
% zur Verfügung.

\svnid{$Id: arbeitsanleitung.inc 1201 2015-04-28 14:54:01Z humbert $}

{\chapter*{{Arbeitsanleitung}}}
\addcontentsline{toc}{chapter}{Arbeitsanleitung}
Ein Leitprogramm ist ein Unterrichtsheft zum selbstständigen Arbeiten. 
Das Leitprogramm besteht dabei aus mehreren Kapiteln, die Sie nacheinander 
durcharbeiten. Sie beginnen mit Kapitel 1 und melden sich, wenn Sie sich gut 
vorbereitet fühlen, bei der Informatiklehrkraft für den \textbf{Kapiteltest}. 
Wenn Sie diesen erfolgreich absolvieren, erhalten Sie das nächste Kapitel 
ausgehändigt.

Die einzelnen Kapitel setzen sich aus folgenden Bestandteilen zusammen:\\\\
\begin{Uebersicht}
  Jedes Kapitel beginnt mit einer kurzen Übersicht darüber, was Sie in diesem 
  Kapitel erwartet.
\end{Uebersicht}

\begin{Lernziele}
Mit den Lernzielen/Kompetenzen werden die Kenntnisse und Fähigkeiten angegeben, 
die Sie durch die Bearbeitung des Kapitels erwerben. Diese werden auch im 
anschließenden Kapiteltest überprüft.
\end{Lernziele}

\begin{Theorie}
An dieser Stelle erhalten Sie theoretische Hinweise und Definitionen, die 
zum weiteren Bearbeiten des Leitprogramms wichtig sind.
\end{Theorie}

\begin{Aufgabe}
Aufgaben, die auf diese Weise gekennzeichnet sind, bearbeiten Sie mit Stift 
und Papier.
\end{Aufgabe}

\begin{AufgabePC}
An einigen Stellen werden Sie auch Aufgaben direkt mit einem Informatiksystem 
bearbeiten.
\end{AufgabePC}

\begin{Loesungen}{Lösungen}
Zu allen Aufgaben gibt es am Ende jedes Kapitels die zugehörigen Lösungen, mit 
denen Sie Ihre Antworten selbstständig überprüfen können. Verwenden Sie diese 
jedoch erst, wenn Sie sich hinreichend mit einer Aufgabe beschäftigt haben.
\end{Loesungen}

\begin{Nothelfer}
Unter einigen Aufgaben finden Sie einen sogenannten Nothelfer. Dieser kann 
Ihnen Tipps und Anregungen geben, die zum Bearbeiten der Aufgaben hilfreich 
sind. Ihnen steht frei, zu entscheiden, ob Sie diese verwenden wollen 
oder nicht.
\end{Nothelfer}

%\begin{Additum}
%Das Leitprogramm ist so angelegt, dass jedes Kapitel in einer bestimmten Zeit 
% von allen Schülern komplett bearbeitet werden kann. 
% Wenn Sie jedoch mit einem Kapitel schneller fertig sind, werden Ihnen an 
% dieser Stelle zusätzliche Aufgaben bereitgestellt.
%\end{Additum}

\begin{Lernkontrolle}
Mithilfe der Lernkontrolle können Sie feststellen, ob Sie gut auf den 
Kapiteltest vorbereitet sind. Wenn Sie die Lernkontrolle ohne Probleme lösen 
können, können Sie beruhigt zum Kapiteltest gehen. Ansonsten solltest Sie die 
Stellen noch einmal wiederholen, an denen Probleme aufgetreten sind.
\end{Lernkontrolle}
\\\\\\
In der Regel werden Sie das Leitprogramm selbstständig bearbeiten. Bei Fragen 
oder Problemen können Sie sich aber gerne an Ihre Lehrkraft wenden.
%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "Vorlage"
%%% End: 
