% Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
% ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
% Hamm und Solingen entstanden.
%
% Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
% http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
%
% Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
% sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
% und auf die ursprünglichen Urheber verwiesen wird.
% Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
%
% Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
% Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
%
% Die Sammlung der Dokumente steht unter
% http://ddi.uni-wuppertal.de/material/materialsammlung/
% zur Verfügung.
%
% Das LaTeX-Paket zum Setzen der Dokumente der Sammlung steht
% unter  http://www.ctan.org/pkg/schule
% zur Verfügung.

\svnid{$Id: commands.inc 626 2014-05-22 21:36:50Z pieper $}

%\renewcommand{\labelenumi}{\alph{enumi})}

%------------------------------------------%
%Makro für Multiple-Choice-Fragen
%------------------------------------------%
\newboolean{mpcloes}
\setboolean{mpcloes}{false}

\newcommand{\mpcl}[2][0]{%
\ifthenelse{\not\boolean{mpcloes}}{$\Box$}{\ifthenelse{#1 = 0}{$\Box$}{$\XBox$}} & #2\tabularnewline
}

\newenvironment{mpc}[2][0]{
\ifthenelse{#1 = 0}{\setboolean{mpcloes}{false}}{\setboolean{mpcloes}{true}}%
#2\\\\
\begin{tabular}{p{1em}p{0.90\textwidth}}}
{\end{tabular}\\
 \vspace{7pt}
}


%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "Vorlage"
%%% End: 
